Summary:	LinuxStat is for generating and displaying different statistics
Summary(pl):	LinuxStat suy do generowania i prezentacji rnych statystyk
Name:		lstat
Version:	2.3
Release:	1
Epoch:		1
License:	GPL
Group:		Applications/System
Group(pl):	Aplikacje/System
Source0:	http://prdownloads.sourceforge.net/lstat/%{name}-%{version}.tar.gz
Patch0: 	Makefile.in.patch
URL:		http://lstat.sourceforge.net/
Prereq:		httpd
Prereq:		chkconfig
Prereq:		perl
#Requires:	perl-CGI
BuildRequires:	perl
#BuildRequires:	perl(RRDs)
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%define		_initdir		/etc/rc.d/init.d
%define		_pkglibdir		/var/lib/%{name}
%define		_wwwuser	apache
%define		_wwwgroup	apache
%define		_wwwrootdir	/var/www
%define		_httpdconf	/etc/httpd/conf/httpd.conf
%define		_lstatconf	/etc/httpd/conf.d/
%define		_confdir	/etc
%define		_libdir		/usr/lib/perl5/site_perl/lstat

%description
LinuxStat  serve a purpose for generating and displaying various statistics of computer systems with Linux.
You can track many data by graphs in your WWW browser. By dint of this feature, you can follow your system by network.
Project takes advantage of RRDtool library to storing data and creating graphs. RRDtool was created by Tobi Oetker,
an author of MRTG. Dates stored by this library dont grow and enable history observation even a few years in the past.
Program has function live to provide nearly live presentation of changes parameters.
Original project was created for analyze capacity Internet connections, for administration and IT development.
It is the best tool for presentation statistic of IP packet sent by Linux routers.
You may use interface of this program to extend own set of graphs. Program is easy to install and use.
It has international support and it doesnt need additional protocols or special tools (e.g. SNMP).
Almost all functions are configurable by WWW browser.

%description -l pl
Projekt LinuxStat suy do generowania i prezentacji rnych statystyk
dotyczcych komputera z systemem Linux. Co pewien czas (np. 5 min)
zostaje zapamitana warto wybranych parametrw systemu. Dziki
zastosowaniu biblioteki RRDtool stworzonej przez Tobiego Oetikera
(twrca projektu MRTG), zbiory danych nie zwikszaj swojej objtoci,
jednoczenie umoliwiajc ledzenie wartoci nawet kilka lat wstecz. W
kadej chwili mona obejrze wykresy pokazujce zmiany interesujcego
nas parametru. W tym celu wystarczy uy dowolnej przegldarki WWW.
Oryginalnie projekt zosta stworzony do analizy przepustowoci cz
internetowych, w celu planowania rozbudowy infrastruktury
informatycznej. Doskonale nadaje si do prezentacji statystyk
dotyczcych pakietw przesyanych przez routery zbudowane w oparciu o
system Linux. Przy okazji zostay dodane wykresy obrazujce inne
parametry systemu.

%prep
%setup  -q
%patch0 -p1

%build
./configure \
	--apache \
	--with-httpdconf=%{_httpdconf} \
	--with-lstatconf=%{_lstatconf} \
	--with-prefix=%{_prefix} \
	--with-bin=%{_sbindir} \
	--with-lib=%{_libdir} \
	--with-etc=%{_confdir}/lstat \
	--with-www=%{_wwwrootdir}/lstat \
	--with-wwwuser=%{_wwwuser} \
	--with-wwwgroup=%{_wwwgroup} \
	--with-rrd=%{_pkglibdir}/rrd \
	--with-pages=%{_pkglibdir}/pages \
	--with-objects=%{_pkglibdir}/objects \
	--with-templates=%{_pkglibdir}/templates \
	--noupdate_apache_conf \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add lstatd
if [ -f /var/lock/subsys/lstatd ]; then
        /etc/rc.d/init.d/lstatd restart >&2
else
        /etc/rc.d/init.d/lstatd start >&2
fi

	if [ -f /var/lock/subsys/httpd ]; then
        	/etc/rc.d/init.d/httpd restart 1>&2
        	else
        	/etc/rc.d/init.d/httpd start 1>&2
        	fi

%{_sbindir}/Mkgraph.pl >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then
        if [ -f /var/lock/subsys/lstatd ]; then
                /etc/rc.d/init.d/lstatd stop >&2
        fi
        /sbin/chkconfig --del lstatd
	if [ -f /var/lock/subsys/httpd ]; then
	        /etc/rc.d/init.d/httpd restart 1>&2
	fi
     rm -f %{_wwwrootdir}/lstat/statimg/*.png
     rm -f %{_pkglibdir}/objects/*.obj
     rm -f %{_pkglibdir}/rrd/*.rrd
     rm -f %{_pkglibdir}/pages/*
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_initdir}/lstatd
%dir %{_confdir}/lstat
%config(missingok) %{_confdir}/lstat/config.new
%config(noreplace) %verify(not size mtime md5) %{_confdir}/lstat/config
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_lstatconf}/lstat.conf
%dir %{_wwwrootdir}/lstat
%dir %{_wwwrootdir}/lstat/edit
%attr(700,%{_wwwuser},%{_wwwgroup}) %dir %{_wwwrootdir}/lstat/statimg
%attr(755,root,root) %{_wwwrootdir}/lstat/edit/edit.cgi
%attr(755,root,root) %{_wwwrootdir}/lstat/lstat.cgi
%dir %{_wwwrootdir}/lstat/doc
%{_wwwrootdir}/lstat/doc/*
%{_wwwrootdir}/lstat/icons
%dir %{_wwwrootdir}/lstat/skins
%{_wwwrootdir}/lstat/skins/*
%attr(755,root,root) %{_sbindir}/lstatd
%attr(755,root,root) %{_sbindir}/security_lstat
%attr(755,root,root) %{_sbindir}/show_filters
%attr(755,root,root) %{_sbindir}/Mkgraph.pl
%dir %{_libdir}
%{_libdir}/*
%dir %{_pkglibdir}
%dir %{_pkglibdir}/rrd
%attr(700,%{_wwwuser},%{_wwwgroup}) %dir %{_pkglibdir}/objects
%attr(700,%{_wwwuser},%{_wwwgroup}) %dir %{_pkglibdir}/pages
%attr(600,%{_wwwuser},%{_wwwgroup}) %config(noreplace) %verify(not size mtime md5) %{_pkglibdir}/pages/user.config
%attr(600,%{_wwwuser},%{_wwwgroup}) %config(missingok) %{_pkglibdir}/pages/user.config.new
%attr(600,%{_wwwuser},%{_wwwgroup}) %config(noreplace) %verify(not size mtime md5) %{_pkglibdir}/pages/index.pg
%dir %{_pkglibdir}/templates
%{_pkglibdir}/templates/*

%define date	%(echo `LC_ALL="en" date +"%a %b %d %Y"`)
%changelog
* %{date} Ryszard Pydo (rysiek@users.sf.net)
- new version 2.3
- convert for RH 8.0 & up

2002-05-03 11:00:00 Ryszard Pydo (rysiek@users.sf.net)
- new version 2.2
- now run mkgraph post install

2002/03/20 11:00:00 Ryszard Pydo (rysiek@users.sf.net)
- convert for RedHat and for version 2.1

PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl
$Log: lstat.spec,v $
Revision 1.8  2004/07/26 10:42:51  rysiek
2.6 compatibility

Revision 1.7  2002/11/22 12:09:43  rysiek
spec update

Revision 1.6  2002/05/21 10:56:02  rysiek
Plugin support

Revision 1.3  2002/03/19 14:20:49  rysiek
spec update


Revision 1.12  2002/01/18 02:13:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/19 14:29:35  grzegorz
- fixed %%post, in spec's we use %% not $ :)
- first we need mkgraph before we use it in %%post so i
  add instaling it and added to %%files
- i think that now everythnig is ok so STBR

Revision 1.10  2001/12/19 10:56:39  adasi
- finnaly fixed mkgraph issue; it should be installing properly now. Need to be checked

Revision 1.9  2001/12/18 22:37:14  misiek
- BR: perl-CGI

Revision 1.8  2001/12/17 16:55:52  adasi
- moving /proc/net/dev checking to installation scripts

Revision 1.7  2001/12/12 17:01:04  blues
- 2.0 (this is not beta now.... bugfix)
- cosmetic
STBR

Revision 1.6  2001/12/11 11:09:00  qboosh
- en summary/description; added some missing dirs; release 4

Revision 1.5  2001/12/01 22:57:03  grzegorz
- chmod 640 /etc/httpd/lstat.conf
- rel 3, STBR

Revision 1.4  2001/11/12 16:33:07  grzegorz
- modified %%post to not restart httpd if Include is in httpd.conf already

Revision 1.3  2001/11/12 16:29:01  grzegorz
- added %%verify(not size mtime md5) to %%{_pkglibdir}/pages/*
- release 2, STBR

Revision 1.2  2001/11/12 15:54:42  grzegorz
- added %%{_sysconfdir}/httpd/lstat.conf to %%files

Revision 1.1  2001/11/12 08:54:44  grzegorz
- initial PLD spec
